Package org.bukkit.event.entity

# Class EntityDamageByEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityDamageEvent
org.bukkit.event.entity.EntityDamageByEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityDamageByEntityEvent extends EntityDamageEvent
Called when an entity is damaged by an entity

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.entity.EntityDamageEvent

`EntityDamageEvent.DamageCause, EntityDamageEvent.DamageModifier`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityDamageByEntityEvent(@NotNull Entity damager, @NotNull Entity damagee, @NotNull EntityDamageEvent.DamageCause cause, double damage)`
Deprecated.
`EntityDamageByEntityEvent(@NotNull Entity damager, @NotNull Entity damagee, @NotNull EntityDamageEvent.DamageCause cause, @NotNull Map<EntityDamageEvent.DamageModifier,Double> modifiers, @NotNull Map<EntityDamageEvent.DamageModifier,? extends Function<? super Double,Double>> modifierFunctions)`
Deprecated.
`EntityDamageByEntityEvent(@NotNull Entity damager, @NotNull Entity damagee, @NotNull EntityDamageEvent.DamageCause cause, @NotNull Map<EntityDamageEvent.DamageModifier,Double> modifiers, @NotNull Map<EntityDamageEvent.DamageModifier,? extends Function<? super Double,Double>> modifierFunctions, boolean critical)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getDamager()`
Returns the entity that damaged the defender.
`boolean`
`isCritical()`
Shows this damage instance was critical.

### Methods inherited from class org.bukkit.event.entity.EntityDamageEvent

`getCause, getDamage, getDamage, getFinalDamage, getHandlerList, getHandlers, getOriginalDamage, isApplicable, isCancelled, setCancelled, setDamage, setDamage`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityDamageByEntityEvent

@Deprecated public EntityDamageByEntityEvent(@NotNull @NotNull Entity damager, @NotNull @NotNull Entity damagee, @NotNull @NotNull EntityDamageEvent.DamageCause cause, double damage)
Deprecated.

### EntityDamageByEntityEvent

@Deprecated public EntityDamageByEntityEvent(@NotNull @NotNull Entity damager, @NotNull @NotNull Entity damagee, @NotNull @NotNull EntityDamageEvent.DamageCause cause, @NotNull @NotNull Map<EntityDamageEvent.DamageModifier,Double> modifiers, @NotNull @NotNull Map<EntityDamageEvent.DamageModifier,? extends Function<? super Double,Double>> modifierFunctions)
Deprecated.

### EntityDamageByEntityEvent

public EntityDamageByEntityEvent(@NotNull @NotNull Entity damager, @NotNull @NotNull Entity damagee, @NotNull @NotNull EntityDamageEvent.DamageCause cause, @NotNull @NotNull Map<EntityDamageEvent.DamageModifier,Double> modifiers, @NotNull @NotNull Map<EntityDamageEvent.DamageModifier,? extends Function<? super Double,Double>> modifierFunctions, boolean critical)

## Method Details

### isCritical

public boolean isCritical()
Shows this damage instance was critical. The damage instance can be critical if the attacking player met the respective conditions. Furthermore arrows may also cause a critical damage event if the arrow `AbstractArrow.isCritical()`.

Returns:
  if the hit was critical.
See Also:
  - https://minecraft.fandom.com/wiki/Damage#Critical_hit

### getDamager

@NotNull public @NotNull Entity getDamager()
Returns the entity that damaged the defender.

Returns:
  Entity that damaged the defender.